Subject: porting bsd-games for cygwin
From: David A Bagley <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 26 Jan 2004 21:49:34 -0500 (EST)

Hi

I was working with Joseph S. Myers who maintains bsd-games and
was able to port most of them.
I had a few problems where it is felt that cygwin should be updated
to handle the situations.  These problems are cygwin specific and
Linux handles them already.

1. I needed err.h and err.c from
  From http://www.canonical.org/~graken/sw/err.h.html
2. I needed include/endian.h
  and  include/bits/endian.h from my linux box.
3. There was no include/ifaddrs.h ... not sure what to do here.
4.  The shell does not handle (?) in case statements
  To get it to work I had to change "(?)" to "?)"
5. LINE_MAX (normally 2048) was undefined
6. brk is not defined

-- 
Cheers,
 /X\  David A. Bagley
(( X  [email-masked]     http://www.tux.org/~bagleyd/
 \X/  xlockmore and more   ftp://ftp.tux.org/pub/tux/bagleyd

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/